Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FSDK.StructObjectContent Class Reference
Inheritance diagram for FSDK.StructObjectContent:

## Public Member Functions
| constructor ()
| Constructor.
| GetDict ()
| Get PDF dictionary of related object. More...
| GetObjectType ()
| Get related object type. More...
| GetParentElement ()
| Get the parent structure element. More...
Public Member Functions inherited from FSDK.StructTreeEntity
| constructor ()
| Constructor.
| GetPage ()
| Get the related PDF page. More...
| GetType ()
| Get structure tree entity type. More...
| IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
static | e_StructObjectTypeAnnot
| Annot object.
static | e_StructObjectTypeForm
| Form object.
static | e_StructObjectTypeImage
| Image object.
static | e_StructObjectTypeInvalid
| Invaild object.
static | e_UnknownType
| Enumeration for object type. More...
Static Public Attributes inherited from FSDK.StructTreeEntity
static | e_StructTreeEntityTypeElement
| Structure tree entity type: Element, which represents a structure element.
static | e_StructTreeEntityTypeMarkedContent
| Structure tree entity type: MarkedContent, which represents a marked-content item.
static | e_StructTreeEntityTypeObjectContent
| Structure tree entity type: objectContent, which represents a PDF object content item, such as annotation and XObject.
static | e_UnknownType
| Enumeration for structure tree entity type. More...

## Detailed Description

This class represents a PDF object content item.

## Member Function Documentation

## ◆ GetDict()

FSDK.StructObjectContent.GetDict | ( |  | ) |

Get PDF dictionary of related object.

This function is available to the following types of objects: FSDK.StructObjectContent.e_Image, FSDK.StructObjectContent.e_Form and FSDK.StructObjectContent.e_Annot. For type, this function will return null. PDF dictionary of related object.

## ◆ GetObjectType()

FSDK.StructObjectContent.GetObjectType | ( |  | ) |

Get related object type.

Returns
  Related object type. Please refer to values starting from FSDK.StructObjectContent.e_Invalid and this would be one of these values.

## ◆ GetParentElement()

FSDK.StructObjectContent.GetParentElement | ( |  | ) |

Get the parent structure element.

Returns
  Parent structure element. If function FSDK.StructElement.IsEmpty for the returned object returns true, that means current element does not have a parent element.

## Member Data Documentation

## ◆ e_UnknownType

FSDK.StructObjectContent.e_UnknownType
| static

Enumeration for object type.

Values of this enumeration should be used alone.

Unknown Type.